%define lib_major 1
%define lib_name %mklibname %name %{lib_major}
%define lib_dev %mklibname %name -d


Name: qt5keychain
Summary: Platform-independent Qt API for storing passwords securely
Version: 0.8.0
Release: %mkrel 1
Url: https://github.com/frankosterfeld/qtkeychain
License: LGPLv2+
Group: Graphical desktop/KDE5
Source0: qtkeychain-%version.tar.xz
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: qtbase5-common-devel
BuildRequires: cmake

%description
Platform-independent Qt API for storing passwords securely

#------------------------------------------------------------------

%package -n %{lib_name}
Summary:  Platform-independent Qt API for storing passwords securely
Group: System/Libraries

%description -n %{lib_name}
Platform-independent Qt API for storing passwords securely

%files -n %{lib_name}
%{_libdir}/libqt5keychain.so.%{lib_major}*
%{_libdir}/libqt5keychain.so.%version

%exclude %lang(de) %{_datadir}/qt5/translations/qtkeychain_de.qm
%exclude %lang(ro) %{_datadir}/qt5/translations/qtkeychain_ro.qm

#------------------------------------------------------------------

%package -n %{lib_dev}
Summary: Development tools for programs which will use the %{name}
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description -n %{lib_dev}
This package contains the header files and .so libraries 
for developing %{name}.

%files -n %{lib_dev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/Qt5Keychain
%{_libdir}/qt5/mkspecs/modules/*.pri
#------------------------------------------------------------------

%prep
%setup -q -n qtkeychain-%version

%build
export PATH=%{_qt5_bindir}:$PATH

%cmake_qt5 -DLIBSECRET_SUPPORT=OFF -DECM_MKSPECS_INSTALL_DIR=%{_libdir}/qt5/mkspecs/modules
        
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Sat Jun 10 2018 adrianomorselli <adrianomorselli> 0.8.0-1uplos2018
- update
